const routeManager = require('./routeManager');
const wsManager = require('./wsManager');
const configManager = require('./configManager');

const serverManager = {
	start: function() {
		try {
			const { config } = configManager.load();
			routeManager.setupRoutes();
			wsManager.start(config);
			console.log('Modules started successfully.');
		} catch (err) {
			console.error('Error starting server:', err.message);
			process.exit(1);
		}
	},

	stop: function() {
		console.log('Unimplemented. Sorry.');
		// TODO: actually implement stopping & reloading
	},

	reloadRequest: function() {
		console.log('Received reload request...');
		this.stop();
		this.start();
	},
};

module.exports = serverManager;
